package models

import (
	db "ERP_storage/initialize"
	"ERP_storage/models/ContractReview"
	"ERP_storage/models/IOTNetworkCard"
	"ERP_storage/models/Percentage"
	"ERP_storage/models/Purchase"
	"ERP_storage/models/RepairWorkOrder"
	"ERP_storage/models/validationtool"
	_ "github.com/go-sql-driver/mysql"
	"log"
)

func init() {
	AutoMigrateDB()
}

func AutoMigrateDB() {
	//自动迁移模式
	err := db.DB.Set("gorm:table_options", "charset=utf8mb4").
		AutoMigrate(
			&ContractReview.ServiceType{},
			&ContractReview.ServiceItem{},
			&ContractReview.ContractReview{},
			&ContractReview.ContractReviewServiceItem{},
			&validationtool.ValidationTool{},
			&validationtool.ValidationToolClass{},
			&IOTNetworkCard.IOTNetworkCard{},
			&Percentage.VerifyCompany{},
			&Percentage.Percentage{},
			&RepairWorkOrder.RepairWorkOrder{},
			&Purchase.Purchase{},
			&validationtool.ValidationToolHistory{},
		)
	if err != nil {
		log.Fatalf("migrate db fail: %v", err)
	}
}
