package validationtool

import (
	"ERP_storage/logs"
	_ "github.com/astaxie/beego/cache/redis"
	"github.com/beego/beego/v2/adapter/orm"
	orm2 "github.com/beego/beego/v2/client/orm"
	_ "github.com/go-sql-driver/mysql"
	"gogs.baozhida.cn/zoie/ERP_libs/lib"
	"time"
)

// 验证设备分类
type ValidationToolClass struct {
	Id         int       `orm:"column(ID);size(11);auto;pk"`
	T_name     string    `orm:"size(256);null"`                                        // 名称
	T_State    int       `orm:"size(2);default(1)"`                                    // 0 删除（伪删除）   1 正常
	CreateTime time.Time `orm:"column(create_time);type(timestamp);null;auto_now_add"` //auto_now_add 第一次保存时才设置时间
	UpdateTime time.Time `orm:"column(update_time);type(timestamp);null;auto_now"`     //auto_now 每次 model 保存时都会对时间自动更新
}

func (t *ValidationToolClass) TableName() string {
	return "validation_tool_class" // 数据库名称   // ************** 替换 FormulaList **************
}

func init() {
	//注册模型
	orm.RegisterModel(new(ValidationToolClass))
}

type ValidationClass_R struct {
	Id      int
	T_name  string // 名称
	T_State int    // 0 删除（伪删除）   1 正常
}

func ValidationClassToValidationClass_R(t ValidationToolClass) (r ValidationClass_R) {
	r.Id = t.Id
	r.T_name = t.T_name
	r.T_State = t.T_State
	return r
}

// 获取列表
func Read_ValidationToolClass_List(T_name string, page, page_z int) (r_ []ValidationClass_R, cnt int64) {
	o := orm.NewOrm()
	// 也可以直接使用 Model 结构体作为表名
	qs := o.QueryTable(new(ValidationToolClass))
	var offset int64
	if page <= 1 {
		offset = 0
	} else {
		offset = int64((page - 1) * page_z)
	}

	// 过滤
	cond := orm.NewCondition()
	cond = cond.And("T_State", 1)

	if len(T_name) > 0 {
		cond = cond.And("T_name__icontains", T_name)
	}

	// 查询
	var r []ValidationToolClass
	var err error
	if page_z == 9999 {
		_, err = qs.SetCond((*orm2.Condition)(cond)).OrderBy("-Id").All(&r)
	} else {
		_, err = qs.Limit(page_z, offset).SetCond((*orm2.Condition)(cond)).OrderBy("-Id").All(&r)
	}

	if err != nil {
		logs.Error(lib.FuncName(), err)
		return
	}

	cnt, err = qs.SetCond((*orm2.Condition)(cond)).Count()
	if err != nil {
		logs.Error(lib.FuncName(), err)
		return
	}

	for _, v := range r {
		r_ = append(r_, ValidationClassToValidationClass_R(v))
	}

	return r_, cnt
}
