package routers

import (
	"ERP_storage/controllers"
	beego "github.com/beego/beego/v2/server/web"
)

func init() {

	iotNetworkCard := beego.NewNamespace("/IOTNetworkCard",
		beego.NSRouter("/List", &controllers.IOTNetworkCardController{}, "*:IOTNetworkCard_List"),                             // 物联网卡号列表
		beego.NSRouter("/Get", &controllers.IOTNetworkCardController{}, "*:IOTNetworkCard_Get"),                               // 物联网卡号详情
		beego.NSRouter("/Add", &controllers.IOTNetworkCardController{}, "*:IOTNetworkCard_Add"),                               // 添加物联网卡号
		beego.NSRouter("/Edit", &controllers.IOTNetworkCardController{}, "*:IOTNetworkCard_Edit"),                             // 编辑物联网卡号
		beego.NSRouter("/Del", &controllers.IOTNetworkCardController{}, "*:IOTNetworkCard_Del"),                               // 删除物联网卡号
		beego.NSRouter("/Import", &controllers.IOTNetworkCardController{}, "*:IOTNetworkCard_Import"),                         // 导入物联网卡号
		beego.NSRouter("/Edit_Device_Number", &controllers.IOTNetworkCardController{}, "*:IOTNetworkCard_Edit_Device_Number"), // 修改移动端设备编号
	)
	beego.AddNamespace(iotNetworkCard)
}
